
/**
 * @file sdr_app_ipc.h
 *
 * @brief This file has the function prototypes of INTF message transfer with other layers
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef SDR_APP_INTF_H
#define SDR_APP_INTF_H

#ifdef __cplusplus
extern "C" {
#endif



typedef enum
{
	SDR_ERR = -1,
	SDR_APP_NO_ACTION,
	SDR_APP_SUCCESS,
	SDR_SET_TMR_SUCCESS,
	SDR_RX_RSSI_SUCCESS,
	SDR_SET_TM_SUCCESS,
	SDR_GET_CFG_SUCCESS,
	SDR_GET_STS_SUCCESS,
	SDR_GET_TMR_SUCCESS,
	SDR_GET_RX_RSSI_SUCCESS,
	SDR_GET_TM_SUCCESS,
	SDR_SET_SENS_SUCCESS,
        SDR_GET_SENS_SUCCESS,
        SDR_SET_OVER_RULE_SUCCESS,
        SDR_SET_OVER_RULE_FAIL,
        SDR_GET_OVER_RULE_SUCCESS,
        SDR_SET_GPASS_SUCCESS,
        SDR_SET_GPASS_FAIL,
        SDR_GET_GPASS_SUCCESS,
        SDR_GET_GPASS_FAIL

}e_sdr_app_ret_ts;

int8_t sdr_app_tc_set_sdr_cfg(uint8_t *pld);
int8_t sdr_app_tc_get_sdr_cfg(uint8_t *pld);
int8_t sdr_app_tc_set_sdr_sts(uint8_t *pld);
int8_t sdr_app_tc_get_sdr_sts(uint8_t *pld);
int8_t sdr_app_tc_set_sdr_tmr_cfg(uint8_t *pld);
int8_t sdr_app_tc_get_sdr_tmr_cfg(uint8_t *pld);
int8_t sdr_app_tc_set_sdr_rx_rssi_cfg(uint8_t *pld);
int8_t sdr_app_tc_get_sdr_rx_rssi_cfg(uint8_t *pld);
int8_t sdr_app_tc_set_sdr_tm_cfg(uint8_t *pld);
int8_t sdr_app_tc_get_sdr_tm_cfg(uint8_t *pld);
int8_t sdr_app_tc_set_sdr_sens_cfg(uint8_t *pld);
int8_t sdr_app_tc_get_sdr_sens_cfg(uint8_t *pld);
int8_t sdr_app_tc_set_over_rule_cfg(uint8_t *pld);
int8_t sdr_app_tc_get_over_rule_cfg(uint8_t *pld);
int8_t sdr_app_tc_set_sdr_sch_beacon_cfg(uint8_t *pld);
int8_t sdr_app_tc_get_sdr_sch_beacon_cfg(uint8_t *pld);



/**
 * @brief This function check the sband ground contact
 */
uint8_t sdr_gs_contact_valid(uint8_t radio_id);


#ifdef __cplusplus
}
#endif
#endif /*SDR_APP_INTF_H */
